#! /usr/bin/env python
import sys

from scoundrels import barf
from scrib import cfg


try:
	import pymongo
except:
	barf.Barf('ERR', 'Please install pymongo module for python.')
	sys.exit()


defaultdbname = 'scrib'
defaulthost = 'ds043957.mongolab.com'
defaultport = 43957
defaultuser = 'public'
defaultpass = 'scrib'

settings = cfg.set()
settings.load('scrib.cfg', {
	'name': 'scrib',
	'dbname': defaultdbname,
	'dbhost': defaulthost,
	'dbport': defaultport,
	'dbuser': defaultuser,
	'dbpass': defaultpass,
	'debug': 0
}, suppress=True)

try:
	client = pymongo.MongoClient(
		'mongodb://%s:%s@%s:%s/%s' % (
			settings.dbuser,
			settings.dbpass,
			settings.dbhost,
			settings.dbport,
			settings.dbname,
		)
	)
	db = client['%s' % settings.dbname]

except Exception as e:
	barf.Barf(
		'MSG',
		"Tried to connect to %s:%d" % (
			settings.dbhost,
			settings.dbport
		)
	)
	barf.Barf('ERR', e.message)
	sys.exit()


class Personality(object):
	"""
	Takes the personality information and turns
	them into class objects.
	"""
	def __init__(self, **entries):
		self.__dict__.update(entries)

	def insert(self):
		db.personality.insert(self.__dict__)


class Sentence(object):
	def __init__(self, **entries):
		self.__dict__.update(entries)

	def insert(self):
		db.sentence.insert(self.__dict__)


class Word(object):
	def __init__(self, **entries):
		self.__dict__.update(entries)

	def insert(self):
		db.word.insert(self.__dict__)
